Bug 178540 - no selected packages, after boot rpm fails / missing shared libraries
no selected packages, after boot rpm fails / missing shared libraries
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-01-21 10:54 EST by David Timms
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-23 13:51:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Timms 2006-01-21 10:54:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
The nothing selected minimal install ends up with a non-working rpm, and rpm-libs is not installed.

Version-Release number of selected component (if applicable):
anaconda from fc5t2 installer (boot.iso?)

How reproducible:

Steps to Reproduce:
1. fc5t2 boot.iso, network install: ftp
2. at package selection unselect everything.
3. next etc.
4. once complete, try: rpm

Actual Results:  #rpm -qa
rpm: error while loading shared libraries: librpm-4.4.so: cannot open shared object file: No such file or directory

Expected Results:  should see the minimal installed package list.

Additional info:

#ls -l /usr/lib/librp*
  No such file or directory.
#ls -l /bin/rpm
-rwxr-xr-x 1 rpm rpm 83732 Jan 10 02:20 /bin/rpm

manually copying on librpm-4.4.so, then librpmdb-4.4.so, then librpmio-4.4.so, then librpmbuild-4.4.so from a FC4 system has got rpm operating.

#rpm -qa|grep rpm
doesn't rpm need rpm-libs ?

Without a working rpm, much harder to put the other particular packages you need onto the freshly installed system.

see also:

Note You need to log in before you can comment on or make changes to this bug.